Index: trunk/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- trunk/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 1601)
@@ -72,5 +72,5 @@
       INTEGER ::   itide                  ! dummy loop index 
       !!
-      NAMELIST/namtide/ln_tide_date, filtide, tide_cpt, tide_speed
+      NAMELIST/nambdy_tide/ln_tide_date, filtide, tide_cpt, tide_speed
       !!----------------------------------------------------------------------
 
@@ -79,5 +79,5 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~~~'
 
-      ! Namelist namtide : tidal harmonic forcing at open boundaries
+      ! Namelist nambdy_tide : tidal harmonic forcing at open boundaries
       ln_tide_date = .false.
       filtide(:) = ''
@@ -85,5 +85,5 @@
       tide_cpt(:) = ''
       REWIND( numnam )                                ! Read namelist parameters
-      READ  ( numnam, namtide )
+      READ  ( numnam, nambdy_tide )
       !                                               ! Count number of components specified
       ntide = jptides_max
@@ -118,7 +118,7 @@
       !                                               ! Parameter control and print
       IF( ntide < 1 ) THEN 
-         CALL ctl_stop( '          Did not find any tidal components in namelist namtide' )
+         CALL ctl_stop( '          Did not find any tidal components in namelist nambdy_tide' )
       ELSE
-         IF(lwp) WRITE(numout,*) '          Namelist namtide : tidal harmonic forcing at open boundaries'
+         IF(lwp) WRITE(numout,*) '          Namelist nambdy_tide : tidal harmonic forcing at open boundaries'
          IF(lwp) WRITE(numout,*) '             tidal components specified ', ntide
          IF(lwp) WRITE(numout,*) '                ', tide_cpt(1:ntide)
Index: trunk/NEMO/OPA_SRC/DIA/diagap.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diagap.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/DIA/diagap.F90	(revision 1601)
@@ -4,4 +4,8 @@
    !! Ocean diagnostics : computation of model-data tracer gap
    !!======================================================================
+   !! History :  OPA  ! 1991-10  (G. Madec)  Original code
+   !!            7.0  ! 1992-07  (M. Imbard)  Add variance and mpp staff
+   !!   NEMO     1.0  ! 2002-07  (G. Madec)  Free form, F90
+   !!----------------------------------------------------------------------
 #if defined key_diagap
    !!----------------------------------------------------------------------
@@ -10,5 +14,4 @@
    !!   dia_gap      : model and data level mean temperature and salinity
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
@@ -23,31 +26,26 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC dia_gap     ! called in step.F90 module
-
-   !! * Shared module variables
+   PUBLIC   dia_gap    ! called in step.F90 module
+
    LOGICAL, PUBLIC, PARAMETER ::   lk_diagap = .TRUE.   !: model-data diagnostics flag
 
-   !! * Module variables
-   INTEGER ::                 &
-      ngap  ,                 &  ! time step frequency
-      nprg                       ! switch for control print
-   ! netcdf files and index common
-   INTEGER ::   &
-      nhoridg, ndepidg,             &
-      ndex(1)
-   REAL(wp) ::     &
-      vol                        ! total ocean volume
-   REAL(wp), DIMENSION(jpk) ::   &
-      volk , volkr,           &  ! level ocean volume and its inverse
-      tdtag, sdtag,           &  ! level mean data temperature & salinity
-      tmodg, smodg               ! level mean model temperature & salinity
+   !                         !!* Namelist namgap : model-data gap
+   INTEGER ::   nn_gap = 15   ! time step frequency
+   INTEGER ::   nn_prg = 15   ! switch for control print
+
+   INTEGER ::   nhoridg, ndepidg, ndex(1)   ! netcdf files and index common
+
+   REAL(wp) ::   vol                        ! total ocean volume
+
+   REAL(wp), DIMENSION(jpk) ::   volk , volkr   ! level ocean volume and its inverse
+   REAL(wp), DIMENSION(jpk) ::   tdtag, sdtag   ! level mean data temperature & salinity
+   REAL(wp), DIMENSION(jpk) ::   tmodg, smodg   ! level mean model temperature & salinity
 
    !! * Substitutions
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -59,26 +57,17 @@
       !!
       !! ** Purpose :   Compute model and data level mean T and S profiles
-      !!      and output it in numgap (NetCDF or direct access file)
-      !!
-      !! ** Method :
-      !!         tracers (model) : tn, sn
-      !!         tracers (data)  : t_dta, s_dta
-      !!         difference between model and data tracers
-      !!         variance between model and data tracers
+      !!              and output it in numgap (NetCDF or direct access file)
+      !!
+      !! ** Method :   tracers (model) : tn, sn
+      !!               tracers (data)  : t_dta, s_dta
+      !!               difference between model and data tracers
+      !!               variance between model and data tracers
       !!
       !! ** Action  :   output in file numgap
-      !!
-      !! History :
-      !!   6.0  !  91-10  (G. Madec)  Original code
-      !!   7.0  !  92-07  (M. Imbard)  Add variance and mpp staff
-      !!   8.5  !  02-07  (G. Madec)  Free form, F90
       !!----------------------------------------------------------------------
-      !! * Modules used
       USE ioipsl
-
-      !! * Arguments
+      !!
       INTEGER, INTENT(in) ::   kt           ! ocean time-step index
-
-      !! * local declarations
+      !!
       INTEGER ::   ji, jj, jk   ! dummy loop indices
       INTEGER ::   it, itmod    ! time step indices
@@ -89,30 +78,23 @@
       REAL(wp), DIMENSION(jpi) ::   zfoo
       REAL(wp), DIMENSION(jpj) ::   zloo
-
-      NAMELIST/namgap/ ngap, nprg
+      !!
+      NAMELIST/namgap/ nn_gap, nn_prg
       !!----------------------------------------------------------------------
-
 
       ! 0. initialization
       ! -----------------
-
       zdt = rdt
       IF( nacc == 1 )   zdt = rdtmin
 
       IF( kt == nit000 ) THEN
-
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'dia_gap : level mean model-data gap'
          IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-         ! Read diagap parameters in namelist namgap
-         ngap = 15
-         nprg = 15
-
-         REWIND( numnam )
+         REWIND( numnam )            ! Read diagap parameters in namelist namgap
          READ( numnam, namgap )
 
-         IF(lwp) WRITE(numout,*) '          time step frequency for gap     ngap  = ',ngap
-         IF(lwp) WRITE(numout,*) '          switch for control print gap    nprg  = ',nprg
+         IF(lwp) WRITE(numout,*) '          time step frequency for gap     nn_gap  = ',nn_gap
+         IF(lwp) WRITE(numout,*) '          switch for control print gap    nn_prg  = ',nn_prg
 
          ! horizontal slab volume (tmask_i to take into account only interior ocean domain)
@@ -152,9 +134,9 @@
 
          ! Define frequency of output and means
-         zsto = ngap * zdt
+         zsto = nn_gap * zdt
          IF( ln_mskland )   THEN   ;   clop = "ave(only(x))"   ! put 1.e+20 on land (very expensive!!)
          ELSE                      ;   clop = "ave(x)"         ! no use of the mask value (require less cpu time)
          ENDIF
-         zout = ngap * zdt
+         zout = nn_gap * zdt
          zmax = FLOAT( nitend - nit000 + 1 ) * zdt
          zfoo(1:jpi) = 0.e0
@@ -166,5 +148,5 @@
          zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
 
-         CALL dia_nam( clhstnam, ngap, 'diagap' )
+         CALL dia_nam( clhstnam, nn_gap, 'diagap' )
          IF(lwp) WRITE(numout,*) 'Name of diagap NETCDF file ', clhstnam
          ! Horizontal grid : zphi()
@@ -200,5 +182,5 @@
       itmod = kt - nit000 + 1       ! define time axis
       it = kt 
-      IF( MOD( itmod, ngap ) == 0 ) THEN
+      IF( MOD( itmod, nn_gap ) == 0 ) THEN
 
          ! initialization
@@ -223,8 +205,6 @@
          END DO
 
-
          ! 2. Basin averaged
          ! -----------------
-         
          DO jk = 1, jpkm1
             tdtag(jpk) = tdtag(jpk) + tdtag(jk) * volk(jk) / vol
@@ -240,13 +220,11 @@
           ! 3.  Averaged output in file numgap
           ! ----------------------------======
-
-          IF( MOD( itmod, nprg ) == 0 ) THEN
+          IF( MOD( itmod, nn_prg ) == 0 ) THEN
               IF(lwp) THEN
                   WRITE(numout,*) 'dia_gap: time step = ', kt, 'model - data'
                   WRITE(numout,9300)
-
                   DO jk = 1, jpk
                     WRITE(numout,9310) tdtag(jk), tmodg(jk), tdtag(jk) - tmodg(jk), jk, fsdept(1,1,jk),   &
-                                       sdtag(jk), smodg(jk), sdtag(jk) - smodg(jk)
+                       &               sdtag(jk), smodg(jk), sdtag(jk) - smodg(jk)
                   END DO  
               ENDIF
@@ -269,9 +247,8 @@
 
       ! Closing numgap file
-
       IF( kt == nitend ) THEN
          CALL histclo( numgap )      !   Netcdf file
       ENDIF 
-
+      !
    END SUBROUTINE dia_gap
 
Index: trunk/NEMO/OPA_SRC/DOM/closea.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/closea.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/DOM/closea.F90	(revision 1601)
@@ -32,8 +32,4 @@
    PUBLIC clo_bat      ! routine called in domzgr module
 
-   !!* Namelist namclo : closed seas and lakes
-   INTEGER, PUBLIC                     ::   nclosea =  0     !: = 0 no closed sea or lake
-      !                                                      !  = 1 closed sea or lake in the domain
-      
    INTEGER, PUBLIC, PARAMETER          ::   jpncs   = 4      !: number of closed sea
    INTEGER, PUBLIC, DIMENSION(jpncs)   ::   ncstt            !: Type of closed sea
